# Generated by go2rpm 1
%bcond_without check

# https://github.com/dgraph-io/badger
%global goipath         github.com/dgraph-io/badger
Version:                2.0.3

%gometa

%global common_description %{expand:
Fast key-value DB in Go.}

%global golicenses      LICENSE
%global godocs          CODE_OF_CONDUCT.md README.md VERSIONING.md\\\
                        CHANGELOG.md README-skl.md README-table.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Fast key-value DB

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/cespare/xxhash)
BuildRequires:  golang(github.com/DataDog/zstd)
BuildRequires:  golang(github.com/dgraph-io/ristretto)
BuildRequires:  golang(github.com/dgryski/go-farm)
BuildRequires:  golang(github.com/dustin/go-humanize)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/golang/snappy)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(golang.org/x/net/trace)
BuildRequires:  golang(golang.org/x/sys/unix)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
mv %{_builddir}/badger-%{version}/skl/README.md README-skl.md 
mv %{_builddir}/badger-%{version}/table/README.md README-table.md

%build
for cmd in badger integration/testgc; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/*

%gopkgfiles

%changelog
* Tue Apr 07 2020 Fabian Affolter <mail@fabian-affolter.ch> - 2.0.3-1
- Initial package

